> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/elements/less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than.md).

# \<pitchers> and \<pitcherHistory>

#### Pitchers Element <a href="#uofapi-less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than-pitcherselement" id="uofapi-less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than-pitcherselement"></a>

The pitchers element provides information about the starting pitchers for both teams in a baseball event. It is an element included in the "pitchers" element.

```xml
<pitchers>
        <pitcher name="Casey Mize" hand="R" competitor="home" id="sr:player:1473712"/>
        <pitcher name="Christopher Archer" hand="R" competitor="away" id="sr:player:843249"/>
 </pitchers>
```

#### PitcherHistory Element <a href="#uofapi-less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than-pitcherhistoryeleme" id="uofapi-less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than-pitcherhistoryeleme"></a>

The \<pitcher> sub-element can be found also inside the PitcherHistory element with an additional attribute which is "changed\_at" which indicates what time the starting pitcher was changed.

An example below of the change of the starting pitcher:

```xml
<pitcherHistory>
   <pitcher name="Casey Mize" hand="R" competitor="home" id="sr:player:1473712" changed_at="2021-09-11T22:54:27+00:00"/>
   <pitcher name="Bryan Garcia" hand="R" competitor="home" id="sr:player:1119703" changed_at="2021-09-11T23:15:42+00:00"/>
   <pitcher name="Ian Krol" hand="L" competitor="home" id="sr:player:849464" changed_at="2021-09-11T23:31:21+00:00"/>
   <pitcher name="Andrew Hutchison" hand="R" competitor="home" id="sr:player:843051" changed_at="2021-09-12T00:36:44+00:00"/>
</pitcherHistory>
```

\
Attributes of \<pitcher> sub-element    &#x20;

| Attribute Name | Meaning                                        | Data type | Possible values           |
| -------------- | ---------------------------------------------- | --------- | ------------------------- |
| *name*         | name of the pitcher                            | string    | name of the pitcher       |
| *hand*         | hand used by the pitcher                       | string    | R, L (right or left)      |
| *competitor*   | which team the pitcher belongs in              | string    | home,  away               |
| *id*           | id of the pitcher as a player                  | string    | example: sr:player:843249 |
| *changed\_at*  | timing when the change of the pitcher happened | datetime  | date and time             |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/elements/less-than-pitchers-greater-than-and-less-than-pitcherhistory-greater-than.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
